#### FIX

#### Synopsis

    HELP:   Read a fixed length data field
    TYPE:   OBJECT
    SYNTAX: FIX(LENGTH=num,REMPAD/ADDPAD,PADBYT=num,ALIGN=num)

#### Description

This object is used to read a column containing fixed-length data where the length is not embedded into the data and where no column delimiter is present. The length parameter must be provided. Optionally, padding bytes can be removed and an alignment defined.

#### Arguments

- `NUMBER: LENGTH=num - Fixed length for the data field [0 = length from column specification is used]`
- `SWITCH: REMPAD/ADDPAD - Remove padding bytes [FALSE]`
- `NUMBER: PADBYT=num - Padding byte value for remove [0x00]`
- `NUMBER: ALIGN=num - Align data to the next multiple of this value in bytes [1 (no alignment)]`